## kamera 4.13.0

=== CMakeLists.txt ===
project(kamera)

find_package(KDE4 REQUIRED)
include(CMakePushCheckState)
include(CheckSymbolExists)
include(KDE4Defaults)
include(MacroLibrary)
include(MacroOptionalAddSubdirectory)

find_package(Gphoto2)
macro_log_feature(GPHOTO2_FOUND "gphoto2" "Required to build kamera" "http://heanet.dl.sourceforge.net/sourceforge/gphoto" TRUE "" "")

cmake_push_check_state()
set(CMAKE_REQUIRED_INCLUDES "${GPHOTO2_INCLUDE_DIR}")
set(CMAKE_REQUIRED_LIBRARIES "${GPHOTO2_LIBRARIES}")
check_symbol_exists(gp_port_info_get_name "gphoto2.h" HAVE_GPHOTO2_5)
cmake_pop_check_state()

if(HAVE_GPHOTO2_5)
    message(STATUS "Detected libgphoto2 2.5.0 or newer")
else()
    message(STATUS "Detected libgphoto2 2.4 or older")
endif()

include(ConfigureChecks.cmake)

configure_file(config-kamera.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kamera.h)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions (-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
include_directories (${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDES} ${GPHOTO2_INCLUDE_DIRS})

add_subdirectory( kcontrol ) 
add_subdirectory( kioslave ) 
add_subdirectory( doc )

install(FILES
  solid_camera.desktop
  DESTINATION ${DATA_INSTALL_DIR}/solid/actions)

macro_display_feature_log()

=== doc/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kcontrol/kamera)

## kamera 4.7.1

=== debian/changelog ===
kamera (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 15 Sep 2011 23:12:49 +0200

kamera (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Fri, 09 Sep 2011 09:15:39 -0400

kamera (4:4.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * Use wildcard for install so we do not have to worry about not-installed

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 23 Jul 2011 14:14:42 +0200

kamera (4:4.6.90+repack-0ubuntu1) oneiric; urgency=low

  * Initial release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 08 Jul 2011 12:17:57 +0200

=== debian/control ===
Source: kamera
Section: graphics
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
 cmake, debhelper (>= 7.0.50~), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7), libgphoto2-2-dev
Standards-Version: 3.9.1
Homepage: https://projects.kde.org/projects/kde/kdegraphics/kamera
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kamera
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kamera

Package: kamera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: digital camera support for KDE applications
 This package allows any KDE application to access and manipulate pictures on
 a digital camera.
 .
 This package is part of the KDE graphics module.

Package: kamera-dbg
Architecture: any
Section: debug
Breaks: kdegraphics-dbg (<< 4:4.6.90)
Replaces: kdegraphics-dbg (<< 4:4.6.90)
Depends: ${misc:Depends}, kamera (= ${binary:Version})
Description: debugging symbols for kamera
 This package contains debugging files used to investigate problems with
 the kamera binaries.

## kamera 4.7.2

=== debian/changelog ===
kamera (4:4.7.2-1) experimental; urgency=low

  [ Eshat Cakar ]
  * Initial release. Start from the Kubuntu packaging, thanks!
  * Shorter copyright file

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:45:06 -0300

=== debian/control ===
Source: kamera
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7),
 libgphoto2-2-dev
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/kde/kdegraphics/kamera
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kamera.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kamera.git

Package: kamera
Architecture: any
Section: graphics
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: digital camera support for KDE applications
 This package allows any KDE application to access and manipulate pictures on
 a digital camera.
 .
 This package is part of the KDE graphics module.

Package: kamera-dbg
Architecture: any
Section: debug
Breaks: kdegraphics-dbg (<< 4:4.6.90)
Replaces: kdegraphics-dbg (<< 4:4.6.90)
Depends: ${misc:Depends}, kamera (= ${binary:Version})
Description: debugging symbols for kamera
 This package contains debugging files used to investigate problems with
 the kamera binaries.

## kamera 4.7.3

=== debian/changelog ===
kamera (4:4.7.3-0ubuntu0.1) oneiric-proposed; urgency=low

  [ Philip Muškovac ]
  * New  upstream bugfix release (LP: #901975)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 08 Dec 2011 21:37:27 -0500

=== debian/control ===
Source: kamera
Section: graphics
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.3),
 cmake, debhelper (>= 7.0.50~), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7), libgphoto2-2-dev
Standards-Version: 3.9.1
Homepage: https://projects.kde.org/projects/kde/kdegraphics/kamera
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kamera
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kamera

Package: kamera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: digital camera support for KDE applications
 This package allows any KDE application to access and manipulate pictures on
 a digital camera.
 .
 This package is part of the KDE graphics module.

Package: kamera-dbg
Architecture: any
Section: debug
Breaks: kdegraphics-dbg (<< 4:4.6.90)
Replaces: kdegraphics-dbg (<< 4:4.6.90)
Depends: ${misc:Depends}, kamera (= ${binary:Version})
Description: debugging symbols for kamera
 This package contains debugging files used to investigate problems with
 the kamera binaries.

## kamera 4.7.4

=== debian/changelog ===
kamera (4:4.7.4-1) experimental; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.4.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 01:37:13 +0100

=== debian/control ===
Source: kamera
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7), libgphoto2-2-dev
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/kde/kdegraphics/kamera
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kamera.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kamera.git

Package: kamera
Architecture: any
Section: graphics
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: digital camera support for KDE applications
 This package allows any KDE application to access and manipulate pictures on
 a digital camera.
 .
 This package is part of the KDE graphics module.

Package: kamera-dbg
Architecture: any
Section: debug
Breaks: kdegraphics-dbg (<< 4:4.6.90)
Replaces: kdegraphics-dbg (<< 4:4.6.90)
Depends: ${misc:Depends}, kamera (= ${binary:Version})
Description: debugging symbols for kamera
 This package contains debugging files used to investigate problems with
 the kamera binaries.

## kamera 4.8.2

=== debian/changelog ===
kamera (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 01 Apr 2012 22:48:46 +0200

kamera (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 04 Mar 2012 20:06:19 +0100

kamera (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jan 2012 12:10:27 +0000

kamera (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:24 +0000

kamera (4:4.7.95-0ubuntu1) precise; urgency=low

  [ Philip Muškovac ]
  * New upstream release candidate

  [ Felix Geyer ]
  * Set priority of kamera-dbg to extra.

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 19:03:31 +0100

kamera (4:4.7.90-0ubuntu2) precise; urgency=low

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Dec 2011 14:17:55 +0000

kamera (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 23:46:56 +0000

kamera (4:4.7.2-0r1) UNRELEASED; urgency=low

  * Initial release. Start from the Kubuntu packaging, thanks!
  * Shorter copyright file

 -- Eshat Cakar <info@eshat.de>  Wed, 05 Oct 2011 14:20:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,19 @@
 Source: kamera
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.7), libgphoto2-2-dev
+ kdelibs5-dev (>= 4:4.8.1),
+ libgphoto2-2-dev
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdegraphics/kamera
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kamera.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kamera.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kamera
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kamera
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kamera.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kamera.git
 
 Package: kamera
 Architecture: any
@@ -24,6 +28,7 @@
 Package: kamera-dbg
 Architecture: any
 Section: debug
+Priority: extra
 Breaks: kdegraphics-dbg (<< 4:4.6.90)
 Replaces: kdegraphics-dbg (<< 4:4.6.90)
 Depends: ${misc:Depends}, kamera (= ${binary:Version})

## kamera 4.8.4

=== debian/changelog ===
kamera (4:4.8.4-2) unstable; urgency=low

  * Team upload.
  * Add a patch to avoid crashes in kameras which contain '/' in their names
    (Closes: #685676).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 26 Aug 2012 21:57:55 -0300

kamera (4:4.8.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release.

  [ Felix Geyer ]
  * Set priority of kamera-dbg to extra.

  [ Pino Toscano ]
  * Bump kde-sc-dev-latest build dependency to 4.8.4.
  * Bump kdelibs5-dev build dependency to 4.8.
  * Bump Standards-Version to 3.9.3, no changes required.
  * Add watch file.
  * Convert copyright to copyright-format v1.0 and fix/update.
  * Slightly improve description of kamera-dbg.
  * Install everything in the destination directory of kamera,
    instead of using a redundant .install file.

 -- Pino Toscano <pino@debian.org>  Sun, 17 Jun 2012 00:01:28 +0200

kamera (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Tue, 06 Mar 2012 22:36:55 +0100

=== debian/control ===
Source: kamera
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8), libgphoto2-2-dev
Standards-Version: 3.9.3
Homepage: https://projects.kde.org/projects/kde/kdegraphics/kamera
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kamera.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kamera.git

Package: kamera
Architecture: any
Section: graphics
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: digital camera support for KDE applications
 This package allows any KDE application to access and manipulate pictures on
 a digital camera.
 .
 This package is part of the KDE graphics module.

Package: kamera-dbg
Architecture: any
Section: debug
Priority: extra
Breaks: kdegraphics-dbg (<< 4:4.6.90)
Replaces: kdegraphics-dbg (<< 4:4.6.90)
Depends: ${misc:Depends}, kamera (= ${binary:Version})
Description: debugging symbols for kamera
 This package contains debugging files used to investigate problems with
 the kamera binaries.
 .
 This package is part of the KDE graphics module.

## kamera 4.8.5

=== debian/changelog ===
kamera (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  [ Scott Kitterman ]
  * New upstream bugfix release (LP: #1047417)

  [ Felix Geyer ]
  * Add quote_unquote_path_components.patch (cherry-picked from upstream)
    to avoid crashes in kameras which contain '/' in their names.
    (LP: #1023231)

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 07 Sep 2012 21:17:21 +0200

kamera (4:4.8.4-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release. (LP: #1007798)

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 23 Jun 2012 22:32:57 +0200

kamera (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 04 May 2012 00:14:22 +0530

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,19 @@
 Source: kamera
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8), libgphoto2-2-dev
-Standards-Version: 3.9.3
+ kdelibs5-dev (>= 4:4.8.1),
+ libgphoto2-2-dev
+Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdegraphics/kamera
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kamera.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kamera.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kamera
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kamera
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kamera.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kamera.git
 
 Package: kamera
 Architecture: any
@@ -31,5 +35,3 @@
 Description: debugging symbols for kamera
  This package contains debugging files used to investigate problems with
  the kamera binaries.
- .
- This package is part of the KDE graphics module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kamera-dbg

## kamera 4.9.2

=== debian/changelog ===
kamera (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:11:19 +0100

kamera (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:16:32 +0530

kamera (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 17:01:56 +0100

kamera (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 22:04:33 +0200

kamera (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Jun 2012 13:34:57 +0100

kamera (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 04 May 2012 00:14:22 +0530

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
+Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8.1),
+ kdelibs5-dev (>= 4:4.9.2),
  libgphoto2-2-dev
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdegraphics/kamera

## kamera 4.9.4

=== debian/changelog ===
kamera (4:4.9.4-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1085516)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 02 Dec 2012 00:44:38 +0100

kamera (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:32:02 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2),
+ kdelibs5-dev (>= 4:4.9.4),
  libgphoto2-2-dev
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdegraphics/kamera

## kamera 4.9.5

=== debian/changelog ===
kamera (4:4.9.5-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1094523)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Dec 2012 21:20:49 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.4),
+ kdelibs5-dev (>= 4:4.9.5),
  libgphoto2-2-dev
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdegraphics/kamera

## kamera 4.10.0

=== debian/changelog ===
kamera (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:31:53 +0000

kamera (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 14:57:57 +0000

kamera (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:24:54 +0100

kamera (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:16:54 +0000

kamera (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:36:58 +0000

kamera (4:4.9.80-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Philip Muškovac ]
  * Remove duplicate copyright field to fix the lintian warning

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:44:29 +0000

kamera (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:22:50 +0100

kamera (4:4.7.2-0r1) raring; urgency=low

  * Initial release. Start from the Kubuntu packaging, thanks!
  * Shorter copyright file

 -- Eshat Cakar <info@eshat.de>  Wed, 05 Oct 2011 14:20:04 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.5),
+ kdelibs5-dev (>= 4:4.10.0),
  libgphoto2-2-dev
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdegraphics/kamera

## kamera 4.10.2

=== debian/changelog ===
kamera (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:37:09 +0200

kamera (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:13:59 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.0),
+ kdelibs5-dev (>= 4:4.10.2),
  libgphoto2-2-dev
 Standards-Version: 3.9.2
 Homepage: https://projects.kde.org/projects/kde/kdegraphics/kamera

## kamera 4.11.2

=== debian/changelog ===
kamera (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 13:58:32 +0100

kamera (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:06:18 +0100

kamera (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Aug 2013 23:58:46 +0100

kamera (4:4.10.97-0ubuntu2) saucy; urgency=low

  * Build against libgphoto2-6.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 31 Jul 2013 08:46:29 +0200

kamera (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:06:28 +0100

kamera (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:31:51 +0000

kamera (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 17:59:50 +0100

kamera (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 00:47:37 +0100

kamera (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Jun 2013 23:36:38 +0100

kamera (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:04:27 +0000

kamera (4:4.10.2-1) experimental; urgency=low

  * New upstream release.
  * Add me to uploaders.
  * Bump build-deps.
  * Remove patch taken from upstream.

 -- Sune Vuorela <sune@debian.org>  Sun, 07 Apr 2013 15:48:50 +0000

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Eshat Cakar <info@eshat.de>
-Build-Depends: 
+Uploaders: Eshat Cakar <info@eshat.de>, Sune Vuorela <sune@debian.org>
+Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.2),
- libgphoto2-2-dev
-Standards-Version: 3.9.2
+ kdelibs5-dev (>= 4:4.11.2), libgphoto2-6-dev
+Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/kde/kdegraphics/kamera
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kamera
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kamera
@@ -35,3 +34,5 @@
 Description: debugging symbols for kamera
  This package contains debugging files used to investigate problems with
  the kamera binaries.
+ .
+ This package is part of the KDE graphics module.

## kamera 4.12.3

=== debian/changelog ===
kamera (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:23:25 +0100

kamera (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 22:24:18 +0100

kamera (4:4.12.2-0ubuntu2) trusty; urgency=medium

  * Build against libgphoto2-dev instead of libgphoto2-6-dev. (Reverts Ubuntu
    specific delta)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Feb 2014 09:17:02 +0100

kamera (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:38:19 +0000

kamera (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 07:57:44 +0000

kamera (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:26:52 +0000

kamera (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 12:33:09 +0000

kamera (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 17:44:38 +0100

kamera (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:27:47 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>, Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2), libgphoto2-6-dev
+ kdelibs5-dev (>= 4:4.12.3), libgphoto2-2-dev
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/kde/kdegraphics/kamera
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kamera

## kamera 4.13.0

=== debian/changelog ===
kamera (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:38:47 +0100

kamera (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:10:28 +0200

kamera (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 11:57:20 +0100

kamera (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:37:06 +0000

kamera (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 22:31:07 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>, Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.12.3), libgphoto2-2-dev
+ kdelibs5-dev (>= 4:4.13.0), libgphoto2-dev
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/kde/kdegraphics/kamera
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kamera

## kamera 4.13.3

=== kioslave/CMakeLists.txt ===

########### next target ###############

set(kio_kamera_PART_SRCS kamera.cpp )


kde4_add_plugin(kio_kamera ${kio_kamera_PART_SRCS})


target_link_libraries(kio_kamera  ${KDE4_KIO_LIBS} ${GPHOTO2_LIBRARIES}  )

install(TARGETS kio_kamera  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES camera.protocol  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== debian/changelog ===
kamera (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:21:22 +0200

kamera (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:48:29 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>, Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0), libgphoto2-dev
+ kdelibs5-dev (>= 4:4.13.3), libgphoto2-dev
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/kde/kdegraphics/kamera
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kamera

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/kamera

override_dh_strip:
	$(overridden_command) --dbg-package=kamera-dbg

## kamera 4.14.1

=== debian/changelog ===
kamera (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:29:59 +0200

kamera (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:34:06 +0200

kamera (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:16:09 +0200

kamera (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:28:05 +0200

kamera (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 17:35:04 +0200

kamera (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Merge with Debian, no remaining changes

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:43:13 +0100

kamera (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 22 May 2014 15:07:32 +0200

kamera (4:4.12.2-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Switch the libgphoto2-2-dev build dependency to libgphoto2-dev.
    (Closes: #739353)

  [ Maximiliano Curia ]

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:12 +0200

kamera (4:4.12.2-1) experimental; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:22 +0100

kamera (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 12:38:34 +0100

kamera (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Oct 2013 12:15:01 +0200

kamera (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 09:22:42 +0200

kamera (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 13:59:03 +0200

=== debian/control ===
Source: kamera
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.1),
               libgphoto2-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/kde/kdegraphics/kamera
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kamera
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kamera
X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kamera.git
X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kamera.git

Package: kamera
Architecture: any
Section: graphics
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: digital camera support for KDE applications
 This package allows any KDE application to access and manipulate pictures on
 a digital camera.
 .
 This package is part of the KDE graphics module.

Package: kamera-dbg
Architecture: any
Section: debug
Priority: extra
Breaks: kdegraphics-dbg (<< 4:4.6.90)
Replaces: kdegraphics-dbg (<< 4:4.6.90)
Depends: kamera (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for kamera
 This package contains debugging files used to investigate problems with
 the kamera binaries.
 .
 This package is part of the KDE graphics module.

## kamera 4.14.2

=== debian/changelog ===
kamera (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:39 +0200

kamera (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 20 Aug 2014 17:37:42 +0200

kamera (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 25 Jul 2014 12:08:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,20 @@
 Source: kamera
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kdelibs5-dev (>= 4:4.11),
                libgphoto2-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: https://projects.kde.org/projects/kde/kdegraphics/kamera
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kamera
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kamera
-X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kamera.git
-X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kamera.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kamera.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kamera.git
 
 Package: kamera
 Architecture: any

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/kamera-([\d.]+).tar.xz

## kamera 14.12.3

=== debian/changelog ===
kamera (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:22:34 -0700

kamera (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:25:29 -0800

kamera (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 17:01:58 +0100

kamera (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate
  * Fix watch urls for new release location.
  * Update Vcs urls for the new repository location.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * PPA build

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 28 Nov 2014 20:43:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: kamera
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
+               kdelibs5-dev,
                libgphoto2-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdegraphics/kamera
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kamera.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kamera.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kamera.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kamera.git
 
 Package: kamera
 Architecture: any

## kamera 15.08.2

=== debian/changelog ===
kamera (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:55:36 +0100

kamera (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:15:20 +0100

kamera (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:07:03 +0100

kamera (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:32:03 +0100

kamera (4:15.04.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 09 Jun 2015 18:35:31 +0200

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kamera-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kamera-([\d.]+).tar.xz

## kamera 15.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(kamera)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "15")
set (KDE_APPLICATIONS_VERSION_MINOR "12")
set (KDE_APPLICATIONS_VERSION_MICRO "3")
set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
set(PROJECT_VERSION ${KDE_APPLICATIONS_VERSION})

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_SOURCE_DIR})
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FindPkgConfig)
include(FeatureSummary)

find_package(Qt5 5.3 REQUIRED COMPONENTS Core)
find_package(KF5 REQUIRED COMPONENTS
    ConfigWidgets
    XmlGui
    KIO
    I18n
    Config
    DocTools)

include(CMakePushCheckState)
include(CheckSymbolExists)

# Find gphoto2 library
find_package(Gphoto2 REQUIRED)
# Check version >= 2.5.0
cmake_push_check_state()
set(CMAKE_REQUIRED_INCLUDES "${GPHOTO2_INCLUDE_DIRS}")
set(CMAKE_REQUIRED_LIBRARIES "${GPHOTO2_LIBRARIES}")
check_symbol_exists(gp_port_info_get_name "gphoto2.h" HAVE_GPHOTO2_5)
cmake_pop_check_state()

if(HAVE_GPHOTO2_5)
    message(STATUS "Detected libgphoto2 2.5.0 or newer")
else()
    message(STATUS "Detected libgphoto2 2.4 or older")
endif()

include(ConfigureChecks.cmake)

configure_file(config-kamera.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kamera.h)

set(CMAKE_CXX_FLAGS_DEBUG, "${CMAKE_CXX_FLAGS_DEBUG} -Wall -Wunused -Wextra -DDEBUG_KAMERA_KIO -DDEBUG_KAMERA_KCONTROL")

add_subdirectory( kcontrol )
add_subdirectory( kioslave )
add_subdirectory( doc )

install(FILES
    solid_camera.desktop
    DESTINATION ${DATA_INSTALL_DIR}/solid/actions)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== doc/CMakeLists.txt ===
kdoctools_create_handbook(${CMAKE_CURRENT_SOURCE_DIR}/index.docbook
    INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en
    SUBDIR kcontrol/kamera)

=== kcontrol/CMakeLists.txt ===

########### next target ###############

set(kcm_kamera_PART_SRCS kamera.cpp kameradevice.cpp kameraconfigdialog.cpp )

add_library(kcm_kamera MODULE ${kcm_kamera_PART_SRCS})

include_directories(${GPHOTO2_INCLUDE_DIRS} ${CMAKE_BINARY_DIR})

target_link_libraries(kcm_kamera
    KF5::ConfigWidgets
    KF5::XmlGui
    KF5::KIOCore
    KF5::I18n
    KF5::ConfigCore
    ${GPHOTO2_LIBRARIES}
    )

install(TARGETS kcm_kamera  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES kamera.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== debian/changelog ===
kamera (4:15.12.3-0ubuntu1.1) xenial; urgency=medium

  * Switch to the qt5 build system so the installation paths are correct
    (LP: #1556540)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 02 May 2016 18:08:49 +0200

kamera (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:01:02 -0700

kamera (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * Debian merge: No remaining changes. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:27:54 +0100

kamera (4:15.12.0-1~) UNRELEASED; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Dec 2015 16:18:37 +0100

kamera (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release
  * Adding new build deps

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 13:35:09 +0000

kamera (4:15.08.2-1) experimental; urgency=medium

  * New upstream release (15.08.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:07:22 +0200

kamera (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 17 Feb 2015 11:27:53 +0100

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,22 @@
 Uploaders: Eshat Cakar <info@eshat.de>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
+               extra-cmake-modules,
+               kdoctools-dev,
+               kio-dev,
                libgphoto2-dev,
-               pkg-kde-tools (>= 0.12)
+               libkf5config-dev,
+               libkf5configwidgets-dev,
+               libkf5i18n-dev,
+               libkf5xmlgui-dev,
+               pkg-kde-tools (>= 0.12),
+               qtbase5-dev (>= 5.3~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdegraphics/kamera
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kamera.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kamera.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kamera.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kamera.git
 
 Package: kamera
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/kamera

override_dh_strip:
	$(overridden_command) --dbg-package=kamera-dbg

## kamera 16.04.3

=== debian/changelog ===
kamera (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:34:31 +0200

kamera (4:15.12.3-1~2ubuntu1) yakkety; urgency=medium

  * Merge with debian git (LP: #1556540)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 02 May 2016 17:58:42 +0200

kamera (4:15.12.3-1~2) UNRELEASED; urgency=medium

  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * New patch: use_pkgconfig_for_gphoto2.patch (Closes: #821324)
  * Force building against GPHOTO2_5, the test was failing
  * Add missing install file

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Wed, 13 Apr 2016 16:24:43 +0200

kamera (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:54 +0100

=== debian/control ===
Source: kamera
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               kdoctools-dev (>= 5.24.0~),
               kio-dev (>= 5.24.0~),
               libgphoto2-dev,
               libkf5config-dev (>= 5.24.0~),
               libkf5configwidgets-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5xmlgui-dev (>= 5.24.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/kdegraphics/kamera
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kamera
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kamera

Package: kamera
Architecture: any
Section: graphics
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: digital camera support for KDE applications
 This package allows any KDE application to access and manipulate pictures on
 a digital camera.
 .
 This package is part of the KDE graphics module.
